{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
{% endblock %}
{% block body %}

    <nav class="navbar navbar-expand-lg navbar-light bg-white sticky-top container-fluid shadow-sm flex-wrap">
        <div class="d-flex justify-content-center ">
            <div class="rounded-lg2 d-flex justify-content-md-center align-content-center"
                 style="height: 40px">
            </div>
            <div class="p-2 flex-grow-1 d-flex justify-content-md-center">
                <a id="title-bar" class="align-self-start text-white font-weight-bold  text-dark"> Berhasil</a>
            </div>
        </div>
    </nav>

    {#    Detail Pesanan#}
    <section class="container-fluid mt-3">

        <div class="container-fluid mt-5 text-center">
            <img src="{{ asset('images/common/joget.png') }}" style="width: 6em" class="d-block ml-auto mr-auto">
        </div>

        <p class="f12 font-weight-bold mt-3 mb-4 text-center">Pemesanan Berhasil Dilakukan</p>
        <p class="f12 text-black-50 text-center">Silahkan tunggu konfirmasi dari guru. Dan lakukan pembayaran tagihan
            setelah pesanan dikonfirmasi oleh guru.</p>

        <p class="f12 font-weight-bold mt-5 mb-4 text-center">Cari Guru Mata Pelajaran Lainnya di Kecamatan Laweyann</p>
        <div class="row">
            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Matematika</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Fisika</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Kimia</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Biologi</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Baca Tulis
                        Hitung</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">SD</p>
                </div>
            </div>

            <div class="col-sm col-3">
                <div class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Piano</p>
                </div>
            </div>


            {#=======#}
            {#            {% for category in categories %}#}
            {#                <div class="col-sm col-3">#}
            {#                    <div class="bt-mini" data-id="{{ category.id }}" data-slug="{{ category.slug }}">#}
            {#                        <div class="imagebutton">#}

            {#                        </div>#}
            {#                        <p class="label">{{ category.name }}</p>#}
            {#                    </div>#}
            {#                </div>#}
            {#            {% endfor %}#}

            <div class="col-sm col-3">
                <a href="/pencarian-kategori" class="bt-mini">
                    <div class="imagebutton">

                    </div>
                    <p class="label">Ketegori
                        Lainnya</p>

                </a>
            </div>
            <div id="related-wrapper" class="related-wrapper w-100">
                {% for r in related %}
                    <div class="f12 font-weight-bold container-fluid">Rekomendasi Guru {{ r.getName() }} Untuk Kamu
                    </div>
                    <div class="related slick-rekomendasi common" data-id="{{ r.getId() }}"
                         id="panel-related-{{ r.getId() }}">
                    </div>
                {% endfor %}
            </div>
        </div>
    </section>
    <div class="space-25h"></div>
    <section class="fixed-bottom p-2 bg-white">
        <div class="d-flex justify-content-between align-items-center">
            <a href="/" class="bt-primary p-3 m-1 f10 d-block w-100">
                Menuju ke Beranda
            </a>
        </div>
    </section>


{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        // $(document).ready(function () {
        //     $('.related-wrapper').slick({
        //         arrows: false,
        //         centerMode: true,
        //         centerPadding: '20%',
        //         infinite: false,
        //         slidesToShow: 1,
        //         responsive: [
        //             {
        //                 breakpoint: 768,
        //                 settings: {
        //                     arrows: false,
        //                     centerMode: true,
        //                     infinite: false,
        //                     centerPadding: '15%',
        //                     slidesToShow: 1
        //                 }
        //             },
        //             {
        //                 breakpoint: 480,
        //                 settings: {
        //                     arrows: false,
        //                     centerMode: true,
        //                     mobileFirst: true,
        //                     infinite: false,
        //                     centerPadding: '10%',
        //                     slidesToShow: 1
        //                 }
        //             }
        //         ]
        //     });
        // });

    </script>
    <script>
        function setSlickRekomendasi() {
            $('.slick-rekomendasi').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 1,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 1
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 1
                        }
                    }
                ]
            });
        }

        var d_id = '{{ district }}', m_id = {{ method }}, l_id = {{ memberClass.getLevel().getId() }};

        function relatedWrapper(v) {
            return '<div class="related"><div class="f12 font-weight-bold">Rekomendasi Guru ' + v + ' Untuk Kamu</div></div>'
        }

        async function getRelatedCategories() {
            let el = $('#related-wrapper');
            let response = await $.get('/member/related-categories');
            if (response['code']) {
                let payload = response['payload']['data'];
                el.empty();
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(relatedWrapper(v['name']));
                    })
                } else {

                }
            }
        }

        function recommendWrapper(v) {
            let avatar = v[0]['user']['profile']['generatedAvatar'];
            let name = v[0]['user']['profile']['name'];
            let about = v[0]['user']['profile']['about'];
            let rating = v[0]['user']['avgRatings'];
            let price = v['price'];

            return '<div class="gen-card r-wrapper p-3" >\n' +
                '<div class="header-profile" style="height: 12em;">\n' +
                '                                        <div class="gambar-div"><img src="' + avatar + '"></div>\n' +
                '                                        <div class="content">\n' +
                '                                            <p class="title oneline">' + name + '</p>\n' +
                '                                            <div class="star-div">' + generateRateStar(rating) + '</div>\n' +
                '                                            <p class="f08 fivelines">' + about + '</p>\n' +
                '                                            <p class="text-right t-primary f12">' + formatUang(price) + "/jam" + '</p>\n' +
                '                                        </div>\n' +
                '                                    </div>\n' +
                '                                </div>';
        }

        async function getRecommendation(c, v) {
            let el = $('#' + v);
            let data = {
                category: c,
                method: m_id,
                district: d_id,
                level: l_id
            };
            let response = await $.get('/member/recommendation/data', data);
            $(".slick-rekomendasi").slick('unslick')
            if (response['code'] === 200) {
                if (response['payload'].length > 0) {
                    $.each(response['payload'], function (k, v) {
                        el.append(recommendWrapper(v));
                    })
                } else {
                    let content = '<div class="d-flex justify-content-center align-items-center" style="min-height: 200px">Tidak Ada Rekomendasi Untuk Kamu</div>';
                    el.append(content)
                }
                setSlickRekomendasi();
            }
            console.log(response)
        }


        $(document).ready(function () {
            // getRelatedCategories();
            setSlickRekomendasi()
            let relatedLength = $('.related').length;
            $.each($('.related'), function (k, v) {
                let id = v.dataset.id;
                let elId = v.id;
                getRecommendation(id, elId)
            })
        })
    </script>
{% endblock %}